<template>
<v-container>
  <v-breadcrumbs :items="items" class="pl-0"></v-breadcrumbs>

  <!-- <h1 class="display-1"></h1> -->
  <course-title
    title="Подготовка к ОГЭ по информатике (9 кл)"
    subtitle="Индивидуально"
    :img="require('@/assets/img/exam2.svg')"
    ></course-title>

  <v-carousel
    cycle
    height="300"
    hide-delimiter-background
    show-arrows-on-hover
    >
    <carousel-item title="Индивидуально (без групп)">
      Исключение: по просьбе родителей можно в группе из 2х человек.
    </carousel-item>
    <carousel-item title="Удобное расписание" color="blue">
      На самом деле это уж как получится (я могу быть занят).
    </carousel-item>
    <carousel-item
      title="Регулярные занятия до экзамена"
      color="red"
      >
      + самостоятельная работа дома = хороший результат.
    </carousel-item>
  </v-carousel>

  <qa title="Результаты прошлых лет">
    <p>В подавляющем большинстве у меня занимаются ученики 11 класса, но
      когда обращаются с ОГЭ - результат обычно хороший (без одного-двух
      баллов от максимального <b>первичного</b>).</p>

    <v-alert type="info" border="left" colored-border>
      Просто экзамен по информатике в 9 классе легкий
    </v-alert>
  </qa>

  <qa title="Требования к ученику">
    <v-container fluid px-0>
      <ol>
        <li>Самостоятельная работа дома (без этого всё бесполезно)</li>
      </ol>
    </v-container>

    <v-alert type="warning">
      Есть особый вид школьников - те, которые любят врать сами себе.
      Решают только самые простые задачи, на сложные не обращают
      внимания. Думают, что им не попадутся. Результат - "рассчитывал
      минимум на 80" (получил 60).
    </v-alert>
  </qa>

  <qa title="Стоимость">
    <prices-regular class="mb-3"></prices-regular>

    По поводу оплаты, пропусков и отмен -
    см. раздел <router-link to="/price">Оплата</router-link>.
  </qa>

  <qa title="Как проходит подготовка">
    <p>Лучшим способом из возможных - решаем задачки пока ученику самому
      не надоест совершать одни и те же ошибки.</p>
  </qa>

  <where></where>
</v-container>
</template>

<script>
import { mapState } from 'vuex';
import CarouselItem from '@/common/CarouselItem.vue';

export default {
  metaInfo: {
    title: 'Подготовка к ОГЭ / ЕГЭ по информатике',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Индивидуальная подготовка к ОГЭ и ЕГЭ по информатике',
      },
    ],
  },
  components: {
    CarouselItem,
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    qa: () => import('@/common/QA.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
    where: () => import('@/common/Where.vue'),
  },
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  data: () => ({
    colors: [
      'indigo',
      'warning',
      'pink darken-2',
      'red lighten-1',
      'deep-purple accent-4',
    ],
    slides: [
      'First',
      'Second',
      'Third',
      'Fourth',
      'Fifth',
    ],

    loginform: {
      email: '',
      password: '',
    },
    items: [
      {
        text: 'Курсы',
        to: '/courses',
        exact: true,
      },
      {
        text: 'ОГЭ по информатике',
        to: '/courses/oge-inf',
      },
    ],
  }),
};
</script>
